Analytics · Analytics

Get Google Business Profile performance metrics

Fetches Google Business Profile performance metrics.

GEThttps://api.pozy.ai/v1/analytics/googlebusiness/performance
getGoogleBusinessPerformance

Guides: Google Business Profile, Google Business management, Platform insights

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the analytics resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdrequiredstring
metricsstring
fromDatestring (date)
toDatestring (date)
startDatestring (date)
endDatestring (date)

Example

curl -X GET "https://api.pozy.ai/v1/analytics/googlebusiness/performance?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • accountIdstring
  • platformstring
  • dateRangeobject
    • startDatestring (date)
    • endDatestring (date)
  • metricsmap of object

    Keys are free-form; each value has these fields.

    • totalinteger
    • valuesarray of object
      2 child fields
      • datestring (date)
      • valueinteger
  • dataDelaystring
200 response
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "platform": "instagram",
  "dateRange": {
    "startDate": "2026-10-01",
    "endDate": "2026-10-01"
  },
  "metrics": {
    "key": {
      "total": 42,
      "values": [
        {
          "date": "2026-10-02T09:00:00.000Z",
          "value": 1
        }
      ]
    }
  },
  "dataDelay": "string"
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Analytics